<?php
$berogui = '/usr/local/www/berogui';

/* [CHECKING SESSION] */
$IS_TIMEOUT = false;
$IS_AJAX_REQUEST = true;
include("$berogui/includes/session.php");
if ($IS_TIMEOUT) {
	header("{$_SERVER['SERVER_PROTOCOL']} 408 Timeout");
	exit(0);
}

/* [CHECKING POST] */
require_once("$berogui/includes/Helper/Helper.php");

$exec_ajax = 1;
$invalid = array();

$post = array(
	'action'	=> 'select',
);

$options = array(
	'action'	=> array('download', 'notif'),
);

$_POST = Helper::sanitizePost($_POST, $post, $exec_ajax, $invalid, $options);

$action = $_POST['action'];
unset($_POST);

/* [EXECUTING] */
if (!$exec_ajax) {
	header("{$_SERVER['SERVER_PROTOCOL']} 400 Bad Request");
	exit(0);
}

require_once("/usr/fallback/beroConf.php");
$bc = new beroConf('root');

$response = array();

switch ($action) {
case 'download':
	$response = array('completed' => '0');
	if ($bc->get('root', 'trace-state') == 'COMPLETED') {
		$response = array('completed' => '1');
	}
	break;
case 'notif':
	$response = array('show' => 0);
	if ($bc->get('root', 'trace-state') == 'COMPLETED') {
		$response = array('show' => '1');
	}
	break;
}

echo Helper::jsonEncode($response);
exit(0);
?>
